package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcPath;
import org.dromara.system.domain.vo.TblDzbcPathVo;
import org.dromara.system.domain.bo.TblDzbcPathBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-路线Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcPathService {

    /**
     * 查询定制班车-路线
     */
    TblDzbcPathVo queryById(Long id);

    /**
     * 查询定制班车-路线列表
     */
    List<TblDzbcPathVo> queryByIds(Collection<Long> ids);

    /**
     * 查询定制班车-路线列表
     */
    TableDataInfo<TblDzbcPathVo> queryPageList(TblDzbcPathBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-路线列表
     */
    List<TblDzbcPathVo> queryList(TblDzbcPathBo bo);

    /**
     * 新增定制班车-路线
     */
    Boolean insertByBo(TblDzbcPathBo bo);

    /**
     * 修改定制班车-路线
     */
    Boolean updateByBo(TblDzbcPathBo bo);

    /**
     * 校验并批量删除定制班车-路线信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
